summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2015-08-26 11:44:56 -0700
committerGravatar Dirk Hohndel <dirk@hohndel.org>2015-08-26 11:44:56 -0700
commit80e7213582c203a128270a0e2e8fcc850eede063 (patch)
tree6849aa3735dcef7886f28edd776d255fe7477420 /scripts
parent57e15bf789ef08a494eb267e7e2b8939aeec8638 (diff)
downloadsubsurface-80e7213582c203a128270a0e2e8fcc850eede063.tar.gz
Update INSTALL and build.sh
They now reference the Subsurface-branch branches of Marble and libdivecomputer and v0.23.1 of libgit2. Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index 64a92f678..6fe361fb7 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -78,8 +78,8 @@ fi
cd libgit2
# let's build with a recent enough version of master for the latest features
git pull origin master
-if ! git checkout c11daac9de2 ; then
- echo "Can't find the right commit in libgit2 - giving up"
+if ! git checkout v0.23.1 ; then
+ echo "Can't find the right tag in libgit2 - giving up"
exit 1
fi
mkdir -p build
@@ -106,13 +106,13 @@ if [ ! -d libdivecomputer ] ; then
if [[ $1 = local ]] ; then
git clone $SRC/../libdivecomputer libdivecomputer
else
- git clone -b Subsurface-testing git://subsurface-divelog.org/libdc libdivecomputer
+ git clone -b Subsurface-branch git://subsurface-divelog.org/libdc libdivecomputer
fi
fi
cd libdivecomputer
git pull --rebase
-if ! git checkout Subsurface-testing ; then
- echo "can't check out the Subsurface-testing branch of libdivecomputer -- giving up"
+if ! git checkout Subsurface-branch ; then
+ echo "can't check out the Subsurface-branch branch of libdivecomputer -- giving up"
exit 1
fi
if [ ! -f configure ] ; then
@@ -130,13 +130,13 @@ if [ ! -d marble-source ] ; then
if [[ $1 = local ]] ; then
git clone $SRC/../marble-source marble-source
else
- git clone -b Subsurface-testing git://subsurface-divelog.org/marble marble-source
+ git clone -b Subsurface-branch git://subsurface-divelog.org/marble marble-source
fi
fi
cd marble-source
git pull --rebase
-if ! git checkout Subsurface-testing ; then
- echo "can't check out the Subsurface-testing branch of marble -- giving up"
+if ! git checkout Subsurface-branch ; then
+ echo "can't check out the Subsurface-branch branch of marble -- giving up"
exit 1
fi
mkdir -p build